Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sdk
Class SDKLogin

`java.lang.Object
oracle.toplink.sessions.DatasourceLogin
oracle.toplink.sdk.SDKLogin`

All Implemented Interfaces:
  java.lang.Cloneable, Login, java.io.Serializable

Direct Known Subclasses:
  XMLLogin

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.eis`

public class SDKLogin
extends DatasourceLogin

`SDKLogin` does little more than parameterize `Accessor` to be used by the `Session`.

Since:
  TOPLink/Java 3.0
See Also:
  `SDKAccessor`, Serialized Form

Field Summary

Fields inherited from class oracle.toplink.sessions.DatasourceLogin
`CONCURRENT_READ_WRITE, SYNCHRONIZED_READ_ON_WRITE, SYNCHRONIZED_WRITE, SYNCRONIZED_OBJECT_LEVEL_READ_WRITE, SYNCRONIZED_OBJECT_LEVEL_READ_WRITE_DATABASE, versionString`

Constructor Summary
`SDKLogin()` Deprecated. Default constructor.
`SDKLogin(Platform platform)` Deprecated. Constructor.

Method Summary
`Accessor` | `buildAccessor()` Deprecated. Build and return an appropriate Accessor.
`java.lang.Class` | `getAccessorClass()` Deprecated. Return the class of the accessor to be built.
`SDKQueryException` | `invalidAccessClass(java.lang.Class expected, java.lang.Class actual)` Deprecated. Build and return an exception indicating an invalid accessor class.
`void` | `setAccessorClass(java.lang.Class accessorClass)` Deprecated. Set the class of the accessor to be built.
`java.lang.String` | `toString()` Deprecated. Return a String representation of the object.

Methods inherited from class oracle.toplink.sessions.DatasourceLogin
`addSequence, dontUseExternalConnectionPooling, dontUseExternalTransactionController, getCacheTransactionIsolation, getConnector, getDatasourcePlatform, getDefaultSequence, getPassword, getProperty, getSequence, getSequencePreallocationSize, getSequences, getTableQualifier, getUserName, getVersion, removeAllSequences, removeProperty, removeSequence, setCacheTransactionIsolation, setConnector, setDatasourcePlatform, setDefaultNullValue, setDefaultSequence, setEncryptedPassword, setEncryptionClassName, setPassword, setProperties, setProperty, setSelectSequenceNumberQuery, setSequencePreallocationSize, setTableQualifier, setTimestampQuery, setUpdateSequenceQuery, setUserName, setUsesExternalConnectionPooling, setUsesExternalTransactionController, shouldUseExternalConnectionPooling, shouldUseExternalTransactionController, useExternalConnectionPooling, useExternalTransactionController, usePlatform`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SDKLogin

    public SDKLogin()

  Deprecated.
  Default constructor.

### SDKLogin

    public SDKLogin(Platform platform)

  Deprecated.
  Constructor.

Method Detail

### buildAccessor

    public Accessor buildAccessor()

  Deprecated.
  Build and return an appropriate Accessor.

### getAccessorClass

    public java.lang.Class getAccessorClass()

  Deprecated.
  Return the class of the accessor to be built.

### invalidAccessClass

    public SDKQueryException invalidAccessClass(java.lang.Class expected,
                                                java.lang.Class actual)

  Deprecated.
  Build and return an exception indicating an invalid accessor class.

### setAccessorClass

    public void setAccessorClass(java.lang.Class accessorClass)

  Deprecated.
  Set the class of the accessor to be built.

### toString

    public java.lang.String toString()

  Deprecated.
  Return a String representation of the object.
  Overrides:
    `toString` in class `DatasourceLogin`
  Returns:
    a string representation of the receiver

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD